## ros-one-py-binding-tools 1.1.0-3jammy.20251023.0139

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(py_binding_tools)

find_package(catkin REQUIRED
COMPONENTS
	geometry_msgs
	pybind11_catkin
	roscpp
)

# catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs roscpp
)

add_library(${PROJECT_NAME}
  src/ros_msg_typecasters.cpp
  src/initializer.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
target_include_directories(${PROJECT_NAME}
	PUBLIC $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  SYSTEM PUBLIC ${catkin_INCLUDE_DIRS}
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

install(
  TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

#catkin_lint cannot detect target declarations in functions, here in pybind11_add_module
#catkin_lint: ignore undefined_target

pybind_add_module(${PROJECT_NAME}_module src/${PROJECT_NAME}.cpp)
set_target_properties(${PROJECT_NAME}_module PROPERTIES OUTPUT_NAME ${PROJECT_NAME})
target_link_libraries(${PROJECT_NAME}_module PRIVATE ${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}_module
  LIBRARY DESTINATION ${CATKIN_GLOBAL_PYTHON_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(std_msgs REQUIRED)
  pybind_add_module(${PROJECT_NAME}_test test/test.cpp)
  target_link_libraries(${PROJECT_NAME}_test PRIVATE ${PROJECT_NAME} ${std_msgs_TARGETS})
  install(TARGETS ${PROJECT_NAME}_test LIBRARY DESTINATION "${CATKIN_GLOBAL_PYTHON_DESTINATION}")

  add_rostest(test/basic.test)
endif()

=== debian/changelog ===
ros-one-py-binding-tools (1.1.0-3jammy.20251023.0139) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 23 Oct 2025 01:39:42 +0000

ros-one-py-binding-tools (1.1.0-0jammy) jammy; urgency=high

  * Fix pybind11 deprecations
  * Bump cmake_minimum_required to 3.12
  * Remove undefined PYTHON_LIBRARIES
  * Add unit tests
  * Rename roscpp_initializer.* -> initializer.*
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 11 Aug 2025 00:00:00 -0000

ros-one-py-binding-tools (1.0.0-0jammy) jammy; urgency=high

  * Initial release factored out from https://github.com/ros-planning/moveit/pull/2910

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 05 Mar 2024 00:00:00 -0000

=== debian/control ===
Source: ros-one-py-binding-tools
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-pybind11-catkin, ros-one-roscpp
Homepage: http://wiki.ros.org/py_binding_tools
Standards-Version: 3.9.2

Package: ros-one-py-binding-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-roscpp
Description: Python binding tools for C++

## ros-one-py-binding-tools 1.1.0-3jammy.20260220.2229

=== debian/changelog ===
ros-one-py-binding-tools (1.1.0-3jammy.20260220.2229) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 20 Feb 2026 22:29:00 +0000

## ros-one-py-binding-tools 1.1.0-3noble.20251023.0137

=== debian/changelog ===
ros-one-py-binding-tools (1.1.0-3noble.20251023.0137) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 23 Oct 2025 01:37:22 +0000

ros-one-py-binding-tools (1.1.0-0noble) noble; urgency=high

  * Fix pybind11 deprecations
  * Bump cmake_minimum_required to 3.12
  * Remove undefined PYTHON_LIBRARIES
  * Add unit tests
  * Rename roscpp_initializer.* -> initializer.*
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 11 Aug 2025 00:00:00 -0000

ros-one-py-binding-tools (1.0.0-0noble) noble; urgency=high

  * Initial release factored out from https://github.com/ros-planning/moveit/pull/2910

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 05 Mar 2024 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-py-binding-tools//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-py-binding-tools 1.1.0-3noble.20260220.2241

=== debian/changelog ===
ros-one-py-binding-tools (1.1.0-3noble.20260220.2241) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 20 Feb 2026 22:41:43 +0000
